%define upstream_name    Device-MAC
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Handle hardware MAC Addresses (EUI-48 and EUI-64)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(Device::OUI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Most)
BuildRequires: perl(ok)
BuildArch: noarch

%description
This module provides an interface to deal with Media Access Control (or
MAC) addresses. These are the addresses that uniquely identify a device on
a network. Although the common case is hardware addresses on network cards,
there are a variety of devices that use this system. This module supports
both EUI-48 and EUI-64 addresses.

Some devices that use EUI-48 (or MAC-48) addresses include:

    Ethernet
    802.11 wireless networks
    Bluetooth
    IEEE 802.5 token ring
    FDDI
    ATM

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 789867
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 750088
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 684350
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 510881
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 365882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 173549
- Add a br on Class::Accessor::Grouped
- imported package perl-Device-MAC


* Sun Nov 27 2011 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
